%define upstream_name    SUPER
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Internal class to access superclass methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.350.0
BuildRequires: perl(Scalar::Util) >= 1.200.0
BuildRequires: perl(Sub::Identify) >= 0.30.0
BuildRequires: perl(Test::Simple) >= 0.610.0
BuildArch:  noarch

%description
When subclassing a class, you occasionally want to dispatch control to the
superclass -- at least conditionally and temporarily. The Perl syntax for
calling your superclass is ugly and unwieldy:

    $self->SUPER::method(@_);

especially when compared to its Ruby equivalent:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jun 22 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 112248
- adding missing buildrequires:
- imported package perl-SUPER


* Wed Jun 22 2011 cpan2dist 1.17-1mga
- initial mageia release, generated with cpan2dist
